<?

include_once ('settings.php');
$result = array('status' => 'error', 'url' => '', 'message' => '', 'auth' => '',
    'rest_result' => '');


writeToLog($_REQUEST, 'request');

$b24auth = array('domain' => $_REQUEST['b24-domain'], 'access_token' => $_REQUEST['b24-code']);
$deal_id = $_REQUEST['b24-deal'];

writeToLog($b24auth, 'auth');

// сохраняем изображение в сделке

if(isset($_FILES["object-photo"]))
{


    if ($_FILES["object-photo"]["error"] > 0)
    {
        $result['message'] = $_FILES["file"]["error"];
    }
    else
    {

        $full_file_name = $output. $_FILES["object-photo"]["name"];
        move_uploaded_file($_FILES["object-photo"]["tmp_name"],
            $full_file_name);

        $file_data = file_get_contents($full_file_name);
        $file_base64 = base64_encode($file_data);

        $result_rest = restCommand('crm.deal.update',
            array(
                'ID' => $deal_id,
                'FIELDS' => array(
                    "UF_CRM_1489496894" => array(
                        'fileData' => array(
                            $_FILES["object-photo"]["name"],
                            $file_base64
                        )
                    )
                )
            ),
            $b24auth);

        if ($result_rest['result']) {
            $result['status'] = 'success';
            $result['url'] = $_FILES["object-photo"]["name"];
        }

    }

}

echo json_encode($result);

function restCommand($method, $params, $auth) {
    $queryUrl = "https://".$auth["domain"]."/rest/".$method;

    writeToLog($queryUrl, 'url');

    $queryData = http_build_query(array_merge($params, array("auth" => $auth["access_token"])));

    $curl = curl_init();

    curl_setopt_array($curl, array(
        CURLOPT_POST => 1,
        CURLOPT_HEADER => 0,
        CURLOPT_RETURNTRANSFER => 1,
        CURLOPT_SSL_VERIFYPEER => 1,
        CURLOPT_URL => $queryUrl,
        CURLOPT_POSTFIELDS => $queryData,
    ));

    $result = curl_exec($curl);
    curl_close($curl);

    writeToLog($result, 'result');

    return json_decode($result, 1);
}


function writeToLog($data, $title = '') {
    $log = "\n------------------------\n";
    $log .= date("Y.m.d G:i:s") . "\n";
    $log .= (strlen($title) > 0 ? $title : 'DEBUG') . "\n";
    $log .= print_r($data, 1);
    $log .= "\n------------------------\n";
    file_put_contents(__DIR__ . '/mobile.log', $log, FILE_APPEND);
    return true;
}